program function_procedure;

{$mode objfpc}{$H+}

uses strutils;

procedure DisplayMessage(const aMsg: string);
begin
	WriteLn(DupeString('-', Length(aMsg)));
	WriteLn(aMsg);
	WriteLn(DupeString('=', Length(aMsg)));
end;

const LazDescription = 'Lazarus is a very powerful IDE';
begin
	DisplayMessage(LazDescription);
	DisplayMessage('The message above will now be shown backwards.');
	DisplayMessage(ReverseString(LazDescription));
	{$IFDEF WINDOWS}
	ReadLn;
	{$ENDIF}
end.
